🚀 Introducing MARS8 Series — Four Powerful Variants | Available on All Major Clouds | Learn about the model here
🚀 Introducing MARS8 Series — Four Powerful Variants | Available on All Major Clouds | Learn about the model here
Deprecated: Convert text between languages in real-time with contextual adaptations, delivering translated content as it’s generated for immediate use in conversational interfaces and live applications.
curl --request POST \
--url https://client.camb.ai/apis/translation/stream \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"text": "<string>",
"source_language": 1,
"target_language": 1,
"formality": 2,
"gender": 1
}
'"<string>"Documentation Index
Fetch the complete documentation index at: https://docs.camb.ai/llms.txt
Use this file to discover all available pages before exploring further.
POST /translation, then poll task status and fetch the completed result.| Setting | Value | Use Case |
|---|---|---|
| Formal | 1 | Business documents, academic papers, official correspondence |
| Casual | 2 | Chat messages, social media, casual communication |
| Setting | Value |
|---|---|
| Not Specified | 0 |
| Male | 1 |
| Female | 2 |
| Neutral | 9 |
/source-languages - Supported input languages
/target-languages - Available output languages
import requests
translation_config = {
"text": "Jupiter, the largest planet in our solar system...",
"source_language": 1, # English
"target_language": 81, # Hindi
"formality": 2, # Formal
"gender": 1 # Male grammatical gender
}
def sync_translation_stream(config):
"""Handle translation stream synchronously"""
headers = {"x-api-key": "your_api_key_here"}
with requests.post(
"https://client.camb.ai/apis/translation/stream",
json=config,
headers=headers,
stream=True
) as response:
# Verify successful connection
response.raise_for_status()
# Display credit cost
print(f"Credits required: {response.headers.get('X-Credits-Required', 'Unknown')}")
# Process stream chunks
full_translation = ""
for chunk in response.iter_content(chunk_size=128):
try:
decoded = chunk.decode('utf-8')
full_translation += decoded
print(decoded, end='', flush=True)
except UnicodeDecodeError:
print("�", end='') # Error placeholder
return full_translation
# Execute the translation
translated_text = sync_translation_stream(translation_config)
print("\nComplete Translation:\n", translated_text)
requests) for:
aiohttp) for:
X-Credits-Required header shows computational resources used.
The x-api-key is a custom header required for authenticating requests to our API. Include this header in your request with the appropriate API key value to securely access our endpoints. You can find your API key(s) in the 'API' section of our studio website.
1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 65, 66, 67, 68, 69, 70, 71, 73, 74, 75, 76, 78, 79, 80, 81, 82, 83, 84, 85, 86, 87, 88, 90, 91, 92, 93, 94, 95, 96, 97, 98, 99, 100, 101, 102, 103, 104, 106, 107, 108, 109, 110, 111, 112, 113, 114, 115, 116, 117, 118, 119, 120, 121, 122, 123, 124, 125, 126, 127, 128, 129, 130, 131, 132, 133, 134, 135, 136, 139, 140, 141, 142, 143, 144, 145, 146, 148 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 65, 66, 67, 68, 69, 70, 71, 72, 73, 74, 75, 76, 77, 78, 79, 80, 81, 82, 83, 84, 85, 86, 87, 88, 89, 90, 91, 92, 93, 94, 95, 96, 97, 98, 99, 100, 101, 102, 103, 104, 105, 106, 107, 108, 109, 110, 111, 112, 113, 114, 115, 116, 117, 118, 119, 120, 121, 122, 123, 124, 125, 126, 127, 128, 129, 130, 131, 132, 133, 134, 135, 136, 139, 140, 141, 142, 143, 144, 145, 146, 147, 148, 149, 150 1, 2 The gender of the speaker.
0, 1, 2, 9 Text translation stream
The response is of type string.
curl --request POST \
--url https://client.camb.ai/apis/translation/stream \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"text": "<string>",
"source_language": 1,
"target_language": 1,
"formality": 2,
"gender": 1
}
'"<string>"